from flask import jsonify, abort, request

from app.doc.product_swag import get_products_swagger

from flasgger import swag_from

from app.api import bp_product

from app.services.product import product_list_service


@bp_product.route("", methods=["GET"])
@swag_from(get_products_swagger)
def get_products():
    page = request.args.get("page", default=0, type=int)

    if page < 0:
        return abort(400)

    result, status_code = product_list_service.product_list(page)

    return jsonify(result), status_code
